Bug 247172 - net-mgmt/rubygem-oxidized: oxidized is broken atfer rubygem-net-ssh update to 6.0.2
Summary: net-mgmt/rubygem-oxidized: oxidized is broken atfer rubygem-net-ssh update to...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Matthias Fechner
URL:
Keywords: needs-qa, regression
Depends on:
Blocks:
 
Reported: 2020-06-11 14:26 UTC by Alexander Moisseev
Modified: 2020-06-16 08:12 UTC (History)
2 users (show)

See Also:
nick: maintainer-feedback+
koobs: maintainer-feedback+


Attachments
patch to re-enable backwards compatibility (1.07 KB, patch)
2020-06-14 21:51 UTC, Nick Hilliard
no flags Details | Diff
Fix for this problem (1.96 KB, patch)
2020-06-15 21:06 UTC, Nick Hilliard
nick: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Moisseev 2020-06-11 14:26:48 UTC
Atfer security/rubygem-net-ssh update to 6.0.2 (ports r537941) oxidized cannot start since it requires net-ssh '~> 5'.

Patching oxidized.gemspec is not an option since oxidized requires net-ssh for a reason. Many old algorithms were disabled in net-ssh 6. 

-      s.add_runtime_dependency(%q<net-ssh>.freeze, ["~> 5"])
+      s.add_runtime_dependency(%q<net-ssh>.freeze, [">= 5"])

Oxidized starts after this change, but it cannot connect anymore to devices which firmware uses older algorithms.

Probably we need to introduce new port security/rubygem-net-ssh4 to resolve this issue.
Comment 1 Alexander Moisseev 2020-06-11 14:28:25 UTC
I meant we need to introduce security/rubygem-net-ssh5.
Comment 2 Nick Hilliard 2020-06-11 14:37:29 UTC
this looks like a headache.  lemme check upstream plans.
Comment 3 Nick Hilliard 2020-06-14 21:51:41 UTC
Created attachment 215567 [details]
patch to re-enable backwards compatibility

can you try this patch and see if it works?  It replaces the existing patch-oxidized.gemspec.
Comment 4 Alexander Moisseev 2020-06-15 07:12:09 UTC
It works. Thank you.
Comment 5 Nick Hilliard 2020-06-15 21:06:37 UTC
Created attachment 215590 [details]
Fix for this problem
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-16 06:29:58 UTC
Request feedback from committer of ports r537941 (rubygem-net-ssh update)
Comment 7 commit-hook freebsd_committer 2020-06-16 07:54:17 UTC
A commit references this bug:

Author: mfechner
Date: Tue Jun 16 07:53:29 UTC 2020
New revision: 539331
URL: https://svnweb.freebsd.org/changeset/ports/539331

Log:
  Made rubygem net-ssh version 5 available as it is required by net-mgmt/rubygem-oxidized.

  PR:		247172

Changes:
  head/security/Makefile
  head/security/rubygem-net-ssh5/
  head/security/rubygem-net-ssh5/Makefile
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-16 07:54:43 UTC
^Triage: Assign to committer resolving
Comment 9 Matthias Fechner freebsd_committer 2020-06-16 07:56:29 UTC
I suggest not to modify dependencies of a port, there is a high risk you break the port if you do not know exactly what you are doing.

I made rubygem-net-ssh5 available (in commit 539331), can you correct the dependency to this port?
Comment 10 Matthias Fechner freebsd_committer 2020-06-16 07:57:38 UTC
(In reply to Nick Hilliard from comment #5)
is it ok for you, if I fix the dependency?
Comment 11 Nick Hilliard 2020-06-16 08:00:22 UTC
yep sure, go ahead
Comment 12 commit-hook freebsd_committer 2020-06-16 08:12:23 UTC
A commit references this bug:

Author: mfechner
Date: Tue Jun 16 08:12:15 UTC 2020
New revision: 539332
URL: https://svnweb.freebsd.org/changeset/ports/539332

Log:
  Fixed depedencies to use rubygem-net-ssh version 5 and more clearly define max versions.

  PR:		247172
  Submitted by:	nick@foobar.org
  Reported by:	moiseev@mezonplus.ru
  Approved by:	nick (maintainer), koobs

Changes:
  head/net-mgmt/rubygem-oxidized/Makefile
Comment 13 Matthias Fechner freebsd_committer 2020-06-16 08:12:48 UTC
Thanks a lot for reporting this!
Should be fixed now.